Skip to main content

Endpoint

POST /v3/universal-ai (sync) Model string pattern: image/explicit_content/{provider}[/{model}]

Input

FieldTypeRequiredDescription
filefile_inputYesImage file ID from /v3/upload or direct file URL

Output

FieldTypeRequiredDescription
nsfw_likelihoodintYesAn integer representing the likelihood of NSFW content. Higher values indicate a higher likelihood.
nsfw_likelihood_scorefloatYesA floating-point score representing the confidence level of the NSFW likelihood assessment. This is typically a value between 0.0 and 1.0.
itemsarray[object]NoA list of items identified as potentially explicit. Each item contains details of the explicit content detected.
    labelstringYes
    likelihoodintYes
    likelihood_scorefloatYes
    categoryenumYesThe category of the detected content. Possible values include: ‘Toxic’, ‘Content’, ‘Sexual’, ‘Violence’, ‘DrugAndAlcohol’, ‘Finance’, ‘HateAndExtremism’, ‘Safe’, ‘Other’.
    subcategorystringYesThe subcategory of content. Possible values:
Toxic Subcategories:
  • Insult
  • Obscene
  • Derogatory
  • Profanity
  • Threat
  • Toxic
Content Subcategories:
  • MiddleFinger
  • PublicSafety
  • Health
  • Explicit
  • QRCode
  • Medical
  • Politics
  • Legal
Sexual Subcategories:
  • SexualActivity
  • SexualSituations
  • Nudity
  • PartialNudity
  • Suggestive
  • AdultToys
  • RevealingClothes
  • Sexual
Violence Subcategories:
  • GraphicViolenceOrGore
  • PhysicalViolence
  • WeaponViolence
  • Violence
Drug and Alcohol Subcategories:
  • DrugProducts
  • DrugUse
  • Tobacco
  • Smoking
  • Alcohol
  • Drinking
Finance Subcategories:
  • Gambling
  • Finance
  • MoneyContent
Hate and Extremism Subcategories:
  • Hate
  • Harassment
  • Threatening
  • Extremist
  • Racy
Safe Subcategories:
  • Safe
  • NotSafe
Other Subcategories:
  • Spoof
  • Religion
  • Offensive
  • Other |

Available Providers

ProviderModel StringPrice
amazonimage/explicit_content/amazon$1 per 1,000 files
clarifaiimage/explicit_content/clarifai$2 per 1,000 files
googleimage/explicit_content/google$1.5 per 1,000 files
microsoftimage/explicit_content/microsoft$1 per 1,000 files
openaiimage/explicit_content/openai$24 per 1,000 files
openai (gpt-4o)image/explicit_content/openai/gpt-4o$24 per 1,000 files
sentisightimage/explicit_content/sentisight$0.75 per 1,000 files

Quick Start

import requests

url = "https://api.edenai.run/v3/universal-ai"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}

payload = {
    "model": "image/explicit_content/amazon",
    "input": {
        "file": "YOUR_FILE_UUID_OR_URL"
    }
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())